package cn.quantgroup.xyqb.config;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * Created by hechao on 2020/1/22.
 */
@ConfigurationProperties(prefix = "cn.quantgroup.sequencer")
public class SequencerProperties {
    private String operator = "TWEPOCH_XOR";
    private Integer sequenceBits = 8;

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public Integer getSequenceBits() {
        return sequenceBits;
    }

    public void setSequenceBits(Integer sequenceBits) {
        this.sequenceBits = sequenceBits;
    }

    @Override
    public String toString() {
        return "SnowflakepProperties{" +
                ", sequenceBits=" + sequenceBits +
                '}';
    }
}
